Skip to main content

Type Alias: GatewayInferenceListBatchesResponse

type GatewayInferenceListBatchesResponse = {
[key: string]: unknown;
data: GatewayInferenceBatch[];
first_id?: string | null;
last_id?: string | null;
has_more: boolean;
object: "list";
};

Defined in: src/models/ai-gateway-inference.ts:7653

Portkey ListBatchesResponse; additive response fields are preserved.

Example​

`GatewayInferenceListBatchesResponseSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

data​

data: GatewayInferenceBatch[];

Defined in: src/models/ai-gateway-inference.ts:7654


first_id?​

optional first_id?: string | null;

Defined in: src/models/ai-gateway-inference.ts:7655


last_id?​

optional last_id?: string | null;

Defined in: src/models/ai-gateway-inference.ts:7656


has_more​

has_more: boolean;

Defined in: src/models/ai-gateway-inference.ts:7657


object​

object: "list";

Defined in: src/models/ai-gateway-inference.ts:7658